org.eclipse.graphiti.ui.internal.util.clipboard

## Class UriTransfer

- java.lang.Object
- - org.eclipse.swt.dnd.Transfer
  - - org.eclipse.swt.dnd.ByteArrayTransfer
    - - org.eclipse.graphiti.ui.internal.util.clipboard.UriTransfer

    public class UriTransfer
    extends ByteArrayTransfer

SWT `Transfer` for transporting a number of object `URI` -addressable objects. Expected data class is `UriTransferData`. In copy/paste scenario, use the `ModelClipboard` facility.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static UriTransfer` `getInstance()`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.swt.dnd.ByteArrayTransfer

`getSupportedTypes, isSupportedType`

### Methods inherited from class org.eclipse.swt.dnd.Transfer

`registerType`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static UriTransfer getInstance()

Returns:
  the singleton instance

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`